/*

   marted́ 30 maggio 2006 19.23

   Utente: 

   Server: (LOCAL)

   Database: OLIGED_FERRARIS

   Applicazione: MS SQLEM - Data Tools

*/



BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_IDOperatore
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_IDFornitore
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_Numero
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_IDTipoDocumento
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_Descrizione
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_TotaleCopie
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_TotaleImponibile
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_TotaleIVA
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_TotaleBolla
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_ValoreBolla
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_TotaleFIEG
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_TotaleAltri
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_ValoreBuoni
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_NumeroPacchi
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_NumeroCeste
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_Note
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_NumeroTitoli
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_TipoRecord
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_FlagRegistrata
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_Contabilizzato
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_FlagRegistrataResa
GO
ALTER TABLE dbo.Documenti
	DROP CONSTRAINT DF_Documenti_DataPagamento
GO
CREATE TABLE dbo.Tmp_Documenti
	(
	IDDocumento int NOT NULL,
	IDOperatore int NULL,
	IDFornitore int NULL,
	Numero int NULL,
	Data datetime NULL,
	NumScontrino int NULL,
	DataScontrino datetime NULL,
	IDTipoDocumento int NULL,
	Descrizione varchar(25) NULL,
	TotaleCopie int NULL,
	TotaleImponibile decimal(18, 6) NULL,
	TotaleIVA decimal(18, 6) NULL,
	TotaleBolla decimal(18, 2) NULL,
	ValoreBolla decimal(18, 2) NULL,
	TotaleFIEG decimal(18, 2) NULL,
	TotaleAltri decimal(18, 2) NULL,
	ValoreBuoni decimal(18, 2) NULL,
	NumeroPacchi int NULL,
	NumeroCeste int NULL,
	Note varchar(1024) NULL,
	NumeroTitoli int NULL,
	TipoRecord varchar(2) NULL,
	FlagRegistrata bit NULL,
	Contabilizzato bit NULL,
	FlagRegistrataResa bit NULL,
	Pagato bit NULL,
	DataPagamento datetime NULL,
	IDFatturaDifferita int NULL,
	IDEstrattoConto int NULL,
	CondizionePagamento varchar(50) NULL,
	InfoRivDataInvio datetime NULL,
	Scadenza datetime NULL,
	SpeseIncasso decimal(18, 0) NULL,
	Bolli decimal(18, 0) NULL,
	Colli int NULL,
	Peso decimal(18, 0) NULL,
	Trasporto varchar(100) NULL,
	Porto varchar(100) NULL,
	Vettore int NULL,
	DataInTrasporto datetime NULL,
	OraInTrasporto datetime NULL,
	Aspetto varchar(100) NULL,
	Acconto decimal(18, 0) NULL,
	IncaricatoTrasporto varchar(50) NULL,
	Note1 varchar(75) NULL,
	Note2 varchar(75) NULL
	)  ON [PRIMARY]
GO
DECLARE @v sql_variant 
SET @v = N''
EXECUTE sp_addextendedproperty N'MS_Description', @v, N'user', N'dbo', N'table', N'Tmp_Documenti', N'column', N'Pagato'
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_IDOperatore DEFAULT (0) FOR IDOperatore
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_IDFornitore DEFAULT (0) FOR IDFornitore
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_Numero DEFAULT (0) FOR Numero
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_IDTipoDocumento DEFAULT (0) FOR IDTipoDocumento
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_Descrizione DEFAULT ('NESSUNA') FOR Descrizione
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_TotaleCopie DEFAULT (0) FOR TotaleCopie
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_TotaleImponibile DEFAULT (0) FOR TotaleImponibile
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_TotaleIVA DEFAULT (0) FOR TotaleIVA
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_TotaleBolla DEFAULT (0) FOR TotaleBolla
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_ValoreBolla DEFAULT (0) FOR ValoreBolla
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_TotaleFIEG DEFAULT (0) FOR TotaleFIEG
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_TotaleAltri DEFAULT (0) FOR TotaleAltri
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_ValoreBuoni DEFAULT (0) FOR ValoreBuoni
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_NumeroPacchi DEFAULT (0) FOR NumeroPacchi
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_NumeroCeste DEFAULT (0) FOR NumeroCeste
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_Note DEFAULT ('NESSUNA') FOR Note
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_NumeroTitoli DEFAULT (0) FOR NumeroTitoli
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_TipoRecord DEFAULT ('NN') FOR TipoRecord
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_FlagRegistrata DEFAULT (0) FOR FlagRegistrata
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_Contabilizzato DEFAULT (0) FOR Contabilizzato
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_FlagRegistrataResa DEFAULT (0) FOR FlagRegistrataResa
GO
ALTER TABLE dbo.Tmp_Documenti ADD CONSTRAINT
	DF_Documenti_DataPagamento DEFAULT (0) FOR DataPagamento
GO
IF EXISTS(SELECT * FROM dbo.Documenti)
	 EXEC('INSERT INTO dbo.Tmp_Documenti (IDDocumento, IDOperatore, IDFornitore, Numero, Data, IDTipoDocumento, Descrizione, TotaleCopie, TotaleImponibile, TotaleIVA, TotaleBolla, ValoreBolla, TotaleFIEG, TotaleAltri, ValoreBuoni, NumeroPacchi, NumeroCeste, Note, NumeroTitoli, TipoRecord, FlagRegistrata, Contabilizzato, FlagRegistrataResa, Pagato, DataPagamento, IDFatturaDifferita, IDEstrattoConto, CondizionePagamento, InfoRivDataInvio, Scadenza, SpeseIncasso, Bolli, Colli, Peso, Trasporto, Porto, Vettore, DataInTrasporto, OraInTrasporto, Aspetto, Acconto, IncaricatoTrasporto)
		SELECT IDDocumento, IDOperatore, IDFornitore, Numero, Data, IDTipoDocumento, Descrizione, TotaleCopie, TotaleImponibile, TotaleIVA, TotaleBolla, ValoreBolla, TotaleFIEG, TotaleAltri, ValoreBuoni, NumeroPacchi, NumeroCeste, Note, NumeroTitoli, TipoRecord, FlagRegistrata, Contabilizzato, FlagRegistrataResa, Pagato, DataPagamento, IDFatturaDifferita, IDEstrattoConto, CondizionePagamento, InfoRivDataInvio, Scadenza, SpeseIncasso, Bolli, Colli, Peso, Trasporto, Porto, Vettore, DataInTrasporto, OraInTrasporto, Aspetto, Acconto, IncaricatoTrasporto FROM dbo.Documenti TABLOCKX')
GO
DROP TABLE dbo.Documenti
GO
EXECUTE sp_rename N'dbo.Tmp_Documenti', N'Documenti', 'OBJECT'
GO
ALTER TABLE dbo.Documenti ADD CONSTRAINT
	PK_Documenti PRIMARY KEY CLUSTERED 
	(
	IDDocumento
	) ON [PRIMARY]

GO
COMMIT
